
QGIS Application - Bug report #8106

Ftools - Nearest Neighbour does not work

2013-06-18 10:04 AM - vinayan Parameswaran

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16941

Description

Traceback (most recent call last):

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doVisual.py", line 228, in run

    ( lst, cnt ) = self.nearest_neighbour_analysis( self.vlayer )

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doVisual.py", line 415, in nearest_neighbour_analysis

    vprovider.rewind()

AttributeError: 'QgsVectorDataProvider' object has no attribute 'rewind'

Python version:

2.7.3 (default, Aug  1 2012, 05:25:23) 

[GCC 4.6.3]

QGIS version:

1.9.0-Master Master, da0e4f3

History

#1 - 2013-06-18 04:32 PM - Matthias Kuhn

- Status changed from Open to Feedback

This seems to be solved, but I stumbled upon some other problems trying it. Can you please test and update the status accordingly.

#2 - 2013-06-29 10:13 PM - Mathieu Pellerin - nIRV

- Status changed from Feedback to Closed

I've just verified it working fine here. Closing, please re-open if issue is others have different observations.

#3 - 2013-06-30 06:49 AM - Giovanni Manghi

- Resolution set to fixed

#4 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

2025-06-14 1/1


